import { h, Host } from "@stencil/core";
export class StackSection {
    constructor() {
        this.paddingBottom = 20;
    }
    render() {
        // Default is surface-container
        const container = this.variant ? `${this.variant}-container` : 'surface-container';
        return (h(Host, { key: '68a6cb6e8128ca12f5c5dc9cf50ea7c2a20ba60d' }, h("div", { key: '06614edca63593dc5558aac9d806626462e541be', class: `elevation-5 card br-t-md ${container}`, style: { textAlign: 'center', paddingBottom: `${this.paddingBottom}px` } }, h("md-elevation", { key: '4f2901317667fa778b80cf9d29ac7e4dc3dd5af8' }), this.headline && h("h2", { key: 'bb6f4036031db9011a4c3d3aeba22d22435a97bb', class: "md-typescale-headline-small" }, this.headline), this.subtitle && h("p", { key: 'b50686af69c17ba1b40540b89980c0e98d60bf24', class: "md-typescale-title-medium" }, this.subtitle), h("slot", { key: '0e81c11a0e2d3f18f2c8f10da6e23301b97bff64' }))));
    }
    static get is() { return "stack-section"; }
    static get originalStyleUrls() {
        return {
            "$": ["stack-section.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["stack-section.css"]
        };
    }
    static get properties() {
        return {
            "headline": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "headline",
                "reflect": false
            },
            "subtitle": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "subtitle",
                "reflect": false
            },
            "variant": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "'primary' | 'secondary' | 'tertiary' | 'surface' | 'surface-variant'",
                    "resolved": "\"primary\" | \"secondary\" | \"surface\" | \"surface-variant\" | \"tertiary\"",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "variant",
                "reflect": false
            },
            "paddingBottom": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "padding-bottom",
                "reflect": false,
                "defaultValue": "20"
            }
        };
    }
}
//# sourceMappingURL=stack-section.js.map
