declare global {
    interface Window {
        mapboxgl: any;
    }
}
export declare class StackSectionMap {
    private mapInstance;
    private mapContainer;
    private markerInstances;
    private polygonLayerId;
    accessToken: string;
    zoom: number;
    height: number;
    center: [number, number];
    markers: [number, number][];
    mapStyle: 'streets-v12' | 'outdoors-v12' | 'light-v11' | 'dark-v11' | 'satellite-v9' | 'satellite-streets-v12' | 'navigation-day-v1' | 'navigation-night-v1';
    markerColor: `var(--md-sys-color-${string})`;
    polygonColor: `var(--md-sys-color-${string})`;
    polygon?: Polygon;
    private loadMapboxResources;
    componentDidLoad(): Promise<void>;
    private addMarkers;
    private addPolygon;
    disconnectedCallback(): void;
    render(): any;
}
export type Polygon = {
    readonly coordinates: [number, number][];
    readonly label: string;
};
